Loading...
Searching...
No Matches
volk_common.h File Reference
`#include <stdint.h>`
`#include <x86intrin.h>`
`#include <math.h>`

Go to the source code of this file.

## Data Structures

union | bit128
union | bit256

## Macros

#define | __VOLK_ATTR_ALIGNED(x)
#define | __VOLK_ATTR_UNUSED
#define | __VOLK_ATTR_INLINE
#define | __VOLK_ATTR_DEPRECATED
#define | __VOLK_ATTR_EXPORT
#define | __VOLK_ATTR_IMPORT
#define | __VOLK_PREFETCH(addr)
#define | __VOLK_ASM __asm__
#define | __VOLK_DECL_BEGIN
#define | __VOLK_DECL_END
#define | VOLK_API __VOLK_ATTR_IMPORT
#define | bit128_p(x)
#define | bit256_p(x)
#define | volk_log2to10factor (0x1.815182p1)

## Functions

static float | log2f_non_ieee (float f)
static float | volk_arctan_poly (const float x)
static float | volk_sin_poly (const float x)
static float | volk_cos_poly (const float x)
static float | volk_sin (const float x)
static float | volk_cos (const float x)
static float | volk_arctan (const float x)
static float | volk_atan2 (const float y, const float x)
static float | volk_arcsin_poly (const float x)
static float | volk_arcsin (const float x)
static float | volk_arccos (const float x)

## Macro Definition Documentation

## __VOLK_ASM

#define __VOLK_ASM __asm__

## __VOLK_ATTR_ALIGNED

#define __VOLK_ATTR_ALIGNED | ( |  | x | ) |

## __VOLK_ATTR_DEPRECATED

#define __VOLK_ATTR_DEPRECATED

## __VOLK_ATTR_EXPORT

#define __VOLK_ATTR_EXPORT

## __VOLK_ATTR_IMPORT

#define __VOLK_ATTR_IMPORT

## __VOLK_ATTR_INLINE

#define __VOLK_ATTR_INLINE

## __VOLK_ATTR_UNUSED

#define __VOLK_ATTR_UNUSED

## __VOLK_DECL_BEGIN

#define __VOLK_DECL_BEGIN

## __VOLK_DECL_END

#define __VOLK_DECL_END

## __VOLK_PREFETCH

#define __VOLK_PREFETCH | ( |  | addr | ) |

## bit128_p

#define bit128_p | ( |  | x | ) |

Value:
((union bit128*)(x))

## bit256_p

#define bit256_p | ( |  | x | ) |

Value:
((union bit256*)(x))

## VOLK_API

#define VOLK_API __VOLK_ATTR_IMPORT

## volk_log2to10factor

#define volk_log2to10factor (0x1.815182p1)

## Function Documentation

## log2f_non_ieee()

float log2f_non_ieee | ( | float | f | ) |

inline static

## volk_arccos()

float volk_arccos | ( | const float | x | ) |

inline static

## volk_arcsin()

float volk_arcsin | ( | const float | x | ) |

inline static

## volk_arcsin_poly()

float volk_arcsin_poly | ( | const float | x | ) |

inline static

## volk_arctan()

float volk_arctan | ( | const float | x | ) |

inline static

## volk_arctan_poly()

float volk_arctan_poly | ( | const float | x | ) |

inline static

## volk_atan2()

float volk_atan2 | ( | const float | y,
|  | const float | x )

inline static

## volk_cos()

float volk_cos | ( | const float | x | ) |

inline static

## volk_cos_poly()

float volk_cos_poly | ( | const float | x | ) |

inline static

## volk_sin()

float volk_sin | ( | const float | x | ) |

inline static

## volk_sin_poly()

float volk_sin_poly | ( | const float | x | ) |

inline static